Last modified: 2014-04-15 14:05:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63392 - Add documentation of badgeItems setting
Add documentation of badgeItems setting
Status: VERIFIED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WikidataRepo (Other open bugs)
master
All All
: High normal (vote)
: ---
Assigned To: Wikidata bugs
:
Depends on:
Blocks: documentation 40810 63486
  Show dependency treegraph
 
Reported: 2014-04-01 21:07 UTC by Aude
Modified: 2014-04-15 14:05 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Aude 2014-04-01 21:07:01 UTC
badgeItems setting is checked in ChangeOpSiteLink and in SpecialSetSiteLink.

It appears this is supposed to be a key (prefixed item id) => value array.  I have no idea what the value is supposed to be or if this is even correct understanding of how the setting is supposed to work.

The setting needs some comments added in repo/config/Wikibase.defaults.php and in docs/options.wiki so that users can configure it correctly.
Comment 1 Thiemo Mättig 2014-04-01 22:17:07 UTC
Probably "for future use"? And to be able to do quick "key exists" checks in contrast to "search array for value"? I would stick to the associative array.

Documentation needed, of course.
Comment 2 Bene* 2014-04-02 04:57:54 UTC
This is documented in https://gerrit.wikimedia.org/r/#/c/111609/31/client/config/WikibaseClient.default.php. Needs to get copied into the wiki.
Comment 3 Bene* 2014-04-02 05:16:17 UTC
Sorry, this bug is about repo stuff while I was on client. However, this setting also needs documentation.
Comment 4 Aude 2014-04-02 08:45:41 UTC
@bene*  does the setting work the same way in the repo?
Comment 5 Bene* 2014-04-02 20:57:20 UTC
No, in repo we don't link to icon urls but only store the ids.
Comment 6 Gerrit Notification Bot 2014-04-02 21:05:35 UTC
Change 123441 had a related patch set uploaded by Bene:
Add documentation or badgeItems setting

https://gerrit.wikimedia.org/r/123441
Comment 7 Gerrit Notification Bot 2014-04-14 20:48:21 UTC
Change 123441 abandoned by Bene:
Add documentation or badgeItems setting and fix the code accordingly

Reason:
Per Thiemo I abandon this change and will upload another patch which only adds the documentation.

https://gerrit.wikimedia.org/r/123441
Comment 8 Gerrit Notification Bot 2014-04-14 20:54:52 UTC
Change 125875 had a related patch set uploaded by Bene:
Add documentation for badgeItems setting on repo

https://gerrit.wikimedia.org/r/125875
Comment 9 Gerrit Notification Bot 2014-04-14 21:13:25 UTC
Change 125875 merged by jenkins-bot:
Add documentation for badgeItems setting on repo

https://gerrit.wikimedia.org/r/125875

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links